Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

Dimarc

Status
Not open for further replies.

Robert000

Structural
Oct 23, 2005
45
0
0
SK
Hi all,

My problem is in Acad 2007 that the angular dimension
doesn´t work properly. The dimension lenght is paralel
to the object, but is shorter (osnap points are ok). And I don´t need a halfcircle before the value.
How is it possible to solve this problem?

Thanks a lot,

Robert
 
Replies continue below

Recommended for you

I have attached another screenshot.
If I am using a _dimangular it is possible
to draw continous dimensions, without interruption.
In case of _dimarc the ending of continous dimensions
are not on the same place as in case of _dimangular.
On the picture, the first dim line is with _dimangular,
the second with _dimarc.

I wold like to create a dimension style which looks like
_dimangular, but the value is the line lenght, not an angle.

Thanks a lot,

Robert
 
 http://files.engineering.com/getfile.aspx?folder=59dd3d9d-8750-44fa-a1eb-0731a83723f2&file=picture2.JPG
Here is a very crude example of one way of doing this. Your current units (DDUNITS) determine the style and precision of the arc length.

(DEFUN C:DV2 (/ p1 p2 p3 p4 om ang rad arc ark) ; Dimension verts / along any circle
(SetVar "CMDECHO" 0)
(Setq om (GetVar "OSMODE"))
(COMMAND "Osnap" "END")
(setq p1 (getpoint "\nSnap to first point (must be on the arc also): "))
(setq p2 (getpoint "\nSnap to second point (does not have to be on the arc): "))
(COMMAND "Osnap" "CEN")
(setq p4 (getpoint "\nPick a point on the connecting arc: "))
(COMMAND "Osnap" "NON")
(setq p3 (getpoint "\nPoint to dimension location: ")
ang ( - (angle p4 p1) (angle p4 p2))
rad ( distance p4 p1)
arc ( abs (* rad ang ))
ark (rtos arc)
)
(COMMAND "DIM1" "ANG" "" P4 P1 P2 P3 ARK P3)
(COMMAND "DIM1" "HOM" "L" "")
(COMMAND "DIM1" "TE" "L" PAUSE)
(SetVar "OSMODE" om)
(princ)
)
;
After making the dimensions, draw a circle and use Perpendicular Osnap to put all the dimension arcs on the same radius.
 
Status
Not open for further replies.
Back
Top